## schism 0%2B20110101

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh --with=autoreconf $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf auto

override_dh_auto_build:
	mkdir auto
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/schism/usr/bin/schismtracker \
		$(CURDIR)/debian/schism/usr/bin/schism
	dh_install icons/schism-icon-128.png usr/share/icons/

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## schism 0+20071208

=== schism/Makefile ===
# storlek is lazy
_default_rule:
	$(MAKE) -C ..
%::
	$(MAKE) -C .. $@

## schism 0+20090126

=== modplug/Makefile ===
# bisqwit is lazy
_default_rule:
	$(MAKE) -C ..
%::
	$(MAKE) -C .. $@

## schism 0+20090817

=== debian/changelog ===
schism (2:0+20090817-2) unstable; urgency=low

  * Update Maintainer:
    - The Debian Multimedia team is currently merging with the Debian
       Multimedia Maintainers team (http://wiki.debian.org/DebianMultimedia).
    - Add myself as uploader.
  * debian/control:
    - Wrap long lines.
    - Add Vcs-* tags.
    - Update Standards to 3.9.0.
  * Drop automake from Build-Depends field.
  * Drop changes to upstream sources from the packaging.
  * Set format to 3.0 (quilt).
  * Switch to debhelper 7 + autoreconf add-on.
  * Add watch file.
  * Add debian/gbp.conf file.
  * Add .gitignore file.
  * debian/copyright: Fix copyright-refers-to-symlink-license warning.
  * Add patch to fix FTBFS with binutils-gold (Closes: #556337).

 -- Alessio Treglia <alessio@debian.org>  Sat, 10 Jul 2010 12:33:40 +0200

schism (2:0+20090817-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop build-dependency on libxxf86misc-dev (closes: #559692)

 -- Julien Cristau <jcristau@debian.org>  Wed, 27 Jan 2010 14:44:42 +0100

schism (2:0+20090817-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Drop dh_desktop call.
  * Updated homepage.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 17 Aug 2009 21:42:51 +0200

schism (2:0+20090126-1) unstable; urgency=low

  * New upstream version.
  * Bump debhelper version.
  * Update debian/copyright.
  * Removed build dependency libxkbsel-dev.
  * Changed recommends and updated it to suggests. (Closes: #476898)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 29 Jan 2009 10:59:59 +0100

schism (2:0+20080403-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478625)
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 22:08:45 +0100

schism (2:0+20080403-1) unstable; urgency=low

  * New upstream version.
  * Remove Simon from Uploaders.
  * Updated my email address.
  * Recommend xmms2-plugin-modplug instead of xmms-modplug, which is no longer
    available. (Closes: #473835)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sun, 06 Apr 2008 10:21:33 +0200

schism (2:0+20080222-1) unstable; urgency=low

  * New upstream.
  * Added Debian Multimedia to Uploaders.
  * debian/copyright: Updated years.
  * debian/control: Extended Recommends.
  * debian/rules: Call dh_desktop.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 22 Feb 2008 12:19:06 +0100

schism (2:0+20071208-1) unstable; urgency=low

  * New upstream version, fixes GNU/kFreeBSD build problems.
  * debian/control:
    + Updated build-depends. (Closes: #453235)
    + Updated standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 08 Dec 2007 20:45:28 +0100

schism (2:0+20071117-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: Reformatted.
  * debian/rules: Install desktop and icon files.
  * debian/menu: Added font editor entry.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 17 Nov 2007 14:22:42 +0100

schism (2:0+20071026-1) unstable; urgency=low

  * New upstream version.
  * debian/menu: Update for the new policy.
  * debian/compat: Bumped, no changes needed.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 26 Oct 2007 21:30:25 +0200

schism (1:0.5rc1-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 16 Jan 2007 15:41:29 +0100

schism (2+20061221-1) unstable; urgency=low

  * New upstream tarball.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 22 Dec 2006 10:52:59 +0100

schism (2+20061016-1) unstable; urgency=low

  * New upstream version. (Closes: #376836)
  * New upstream author, updated homepage.
  * New maintainer, with Simons' approval.
  * Bump debian standards version.
  * Added to menu.
  * Updated FSF address in debian/copyright.
  * Created a manual page.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 26 Oct 2006 12:51:21 +0200

schism (0.2a-3) unstable; urgency=low

  * Build with gcc 4.0+ fixed (Closes: #314816)

 -- Simon Richter <sjr@debian.org>  Thu, 19 Jan 2006 01:25:37 +0100

schism (0.2a-2) unstable; urgency=low

  * Using fixed SysV types instead of platform dependent ones

 -- Simon Richter <sjr@debian.org>  Sun, 22 May 2005 20:09:28 +0200

schism (0.2a-1) unstable; urgency=low

  * Initial release.

 -- Simon Richter <sjr@debian.org>  Sun, 22 May 2005 12:44:50 +0200

=== debian/control ===
Source: schism
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 libsdl1.2-dev,
 autotools-dev,
 libxext-dev,
 libasound2-dev
Standards-Version: 3.9.0
Homepage: http://schismtracker.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/schism.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/schism.git

Package: schism
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: opencubicplayer,
 xmp,
 goattracker,
 milkytracker
Description: ImpulseTracker clone aiming at providing the same look&feel
 This is an editor for "tracked" music, i.e. audio samples of instruments
 pitch shifted according to the note data.
 .
 The Impulse Tracker is one of the most popular "tracker" programs at
 present, and Schism Tracker attempts to follow their UI layout wherever
 possible in order to make it easy for existing users to switch.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh --with=autoreconf $@

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/schism/usr/bin/schismtracker \
		$(CURDIR)/debian/schism/usr/bin/schism
	dh_install icons/schism-icon-128.png usr/share/icons/

## schism 0+20100202

=== debian/changelog ===
schism (2:0+20100202-1) experimental; urgency=low

  * New upstream release.
  * Build-Depends on Python.
  * debian/rules:
    - Create auto directory before calling dh_auto_build in order to prevent
      FTBFS.
    - Install NEWS file as upstream's changelog.
  * Refresh patches.
  * Update debian/gbp.conf file.

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Sep 2010 20:29:56 +0200

## schism 0+20110101

=== debian/changelog ===
schism (2:0+20110101-1build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:19:39 -0700

schism (2:0+20110101-1) unstable; urgency=low

  * New upstream snapshot.
  * Refresh 01-binutils_gold.patch.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Feb 2011 15:20:59 +0100

schism (2:0+20100202-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 21:19:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Alessio Treglia <alessio@debian.org>,
  Gürkan Sengün <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 7.0.50~),
+ python (>= 2.4),
  dh-autoreconf,
  libsdl1.2-dev,
  autotools-dev,
  libxext-dev,
  libasound2-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://schismtracker.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/schism.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/schism.git

## schism 2+20061016

=== Makefile ===
# this is a hack so that ./configure && make will actually work.
_default_rule:
	$(MAKE) -C build
%::
	$(MAKE) -C build $@

## schism 20160521

=== debian/changelog ===
schism (2:20160521-1) unstable; urgency=low

  * New upstream version. (Closes: #730571)
  * Bump standards version to 3.9.8.
  * Drop debian/patches, not needed anymore.
  * Drop debian/schism.1 and manpages, upstream ships a better one.
  * debian/rules: add debian hardening for schismtracker.
  * Upstream renamed schism binary to schismtracker.
  * Updated debian/menu.
  * Change my name.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 26 Jul 2016 09:53:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
- Gürkan Sengün <gurkan@phys.ethz.ch>
+ Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 7.0.50~),
  python (>= 2.4),
  dh-autoreconf,
@@ -11,7 +11,7 @@
  autotools-dev,
  libxext-dev,
  libasound2-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.8
 Homepage: http://schismtracker.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/schism.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/schism.git

=== debian/rules ===
#! /usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh --with=autoreconf $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf auto

override_dh_auto_build:
	mkdir auto
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	dh_install icons/schism-icon-128.png usr/share/icons/

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=dversionmangle=s/0\+(\d*)/$1/ \
http://schismtracker.org/dl/ schismtracker-([\d]*)\.tar\.bz2

## schism 20170910

=== debian/changelog ===
schism (2:20170910-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 10.
  * Bump standards version to 4.1.1.
  * debian/control: update Suggests.
  * debian/install: added to install desktop files.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 24 Oct 2017 10:25:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
  Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
  python (>= 2.4),
- dh-autoreconf,
  libsdl1.2-dev,
- autotools-dev,
  libxext-dev,
  libasound2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://schismtracker.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/schism.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/schism.git
@@ -20,10 +18,11 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Suggests: opencubicplayer,
+Suggests: modplug-tools,
  xmp,
  goattracker,
- milkytracker
+ milkytracker,
+ protracker
 Description: ImpulseTracker clone aiming at providing the same look&feel
  This is an editor for "tracked" music, i.e. audio samples of instruments
  pitch shifted according to the note data.

## schism 20180209

=== debian/changelog ===
schism (2:20180209-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 11.
  * Bump standards version to 4.1.3.
  * debian/watch: updated.
  * debian/menu: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 19 Feb 2018 07:02:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
  Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
  python (>= 2.4),
  libsdl1.2-dev,
  libxext-dev,
  libasound2-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://schismtracker.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/schism.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/schism.git

## schism 20180810

=== debian/changelog ===
schism (2:20180810-2) unstable; urgency=medium

  * Patch fixing build on GNU/Hurd.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 11 Dec 2018 09:58:10 +0100

schism (2:20180810-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 14 Aug 2018 14:39:18 +0200

schism (2:20180513-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 14 May 2018 12:53:28 +0200

## schism 20181223

=== debian/changelog ===
schism (2:20181223-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 24 Dec 2018 21:37:30 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
  xmp,
  goattracker,
  milkytracker,
- protracker
+ protracker,
+ cheesecutter
 Description: ImpulseTracker clone aiming at providing the same look&feel
  This is an editor for "tracked" music, i.e. audio samples of instruments
  pitch shifted according to the note data.

## schism 20181223.1

=== debian/changelog ===
schism (2:20181223.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Thu, 10 Jun 2021 17:44:50 +0800

## schism 20190805

=== debian/changelog ===
schism (2:20190805-3) unstable; urgency=medium

  * Team upload.
  * Use Python 3 to build (Closes: #938442)
  * Add Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Tue, 14 Jan 2020 16:52:28 +1100

schism (2:20190805-2) unstable; urgency=medium

  * Bump standards version to 4.4.1.
  * Fix Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 14 Nov 2019 12:39:43 +0100

schism (2:20190805-1) unstable; urgency=medium

  * New upstream version. (Closes: #933807, #933808, #933809)
    - fmt_mtm_load_song in fmt/mtm.c (CVE-2019-14465)
    - heap-based buffer overflow via a large number of song patterns
      in fmt_mtm_load_song in fmt/mtm.c (CVE-2019-14524)
    - integer underflow via a large plen in fmt_okt_load_song in the
      Amiga Oktalyzer parser in fmt/okt.c (CVE-2019-14523)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 06 Aug 2019 11:33:06 +0200

schism (2:20190722-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 28 Jul 2019 20:55:17 +0200

schism (2:20190614-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 07 Jul 2019 12:16:23 +0200

schism (2:20190614-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: update Vcs links.
  * Bump standards version to 4.2.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Jun 2019 09:47:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: schism
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
  Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11),
- python (>= 2.4),
+ python3,
  libsdl1.2-dev,
  libxext-dev,
  libasound2-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
 Homepage: http://schismtracker.org/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/schism.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/schism.git
+Rules-Requires-Root: no
 
 Package: schism
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh --with=autoreconf $@
+	dh $@ --with=autoreconf
 
 override_dh_auto_clean:
 	dh_auto_clean

## schism 20200412

=== debian/changelog ===
schism (2:20200412-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 15 May 2020 07:35:28 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libsdl1.2-dev,
  libxext-dev,
  libasound2-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
 Homepage: http://schismtracker.org/

## schism 20220125

=== debian/changelog ===
schism (2:20220125-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: drop template part.

 -- Gürkan Myczko <tar@debian.org>  Tue, 25 Jan 2022 20:35:02 +0100

schism (2:20211116-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Wed, 17 Nov 2021 14:17:53 +0100

schism (2:20210525-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 15 Aug 2021 13:02:07 +0200

schism (2:20210525-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.1.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/copyright: modernised and updated copyright years.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 26 May 2021 13:24:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
- Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11),
+ Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
  python3,
  libsdl1.2-dev,
  libxext-dev,
  libasound2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
 Homepage: http://schismtracker.org/

## schism 20220807

=== debian/changelog ===
schism (2:20220807-2) unstable; urgency=medium

  * d/control: Add libsdl2-dev to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Sun, 14 Aug 2022 16:30:07 +0200

schism (2:20220807-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 14 Aug 2022 12:33:42 +0200

schism (2:20220506-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 13 May 2022 16:26:58 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  python3,
  libsdl1.2-dev,
  libxext-dev,
+ libsdl2-dev,
  libasound2-dev
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git

## schism 20220905

=== debian/changelog ===
schism (2:20220905-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Sep 2022 10:41:30 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libxext-dev,
  libsdl2-dev,
  libasound2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
 Homepage: http://schismtracker.org/

## schism 20221020

=== debian/changelog ===
schism (2:20221020-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 24 Oct 2022 07:46:50 +0200

## schism 20221201

=== debian/changelog ===
schism (2:20221201-1) unstable; urgency=medium

  * New upstream version 20221201
  * d/control:
    + Apply wrap-and-sort -ast
    + Add myself as uploader
    + Remove obsolete libsdl1.2-dev B-D
    + Mark python3 B-D as native to fix cross-building
  * Add lintian-overrides
  * d/rules:
    + Add hardening
    + Remove obsolete dh flag --with-autoreconf, it's default
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Sun, 04 Dec 2022 11:37:33 +0100

=== debian/control ===
Source: schism
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Gürkan Myczko <tar@debian.org>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
 libsdl2-dev,
 libxext-dev,
 python3:native,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
Homepage: http://schismtracker.org/
Rules-Requires-Root: no

Package: schism
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cheesecutter,
 goattracker,
 milkytracker,
 modplug-tools,
 protracker,
 xmp,
Description: ImpulseTracker clone aiming at providing the same look&feel
 This is an editor for "tracked" music, i.e. audio samples of instruments
 pitch shifted according to the note data.
 .
 The Impulse Tracker is one of the most popular "tracker" programs at
 present, and Schism Tracker attempts to follow their UI layout wherever
 possible in order to make it easy for existing users to switch.

## schism 20240129

=== debian/changelog ===
schism (2:20240129-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 31 Jan 2024 13:56:03 +0100

schism (2:20231029-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 31 Oct 2023 13:57:24 +0100

schism (2:20230906-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [ Dennis Braun ]
  * New upstream version 20230906

 -- Dennis Braun <snd@debian.org>  Fri, 15 Sep 2023 21:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  libsdl2-dev,
  libxext-dev,
  python3:native,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
-Homepage: http://schismtracker.org/
+Homepage: https://schismtracker.org/
 Rules-Requires-Root: no
 
 Package: schism

## schism 20240614

=== debian/changelog ===
schism (2:20240614-1) unstable; urgency=medium

  * New upstream version 20240614

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 16:39:12 +0200

schism (2:20240529-1) unstable; urgency=medium

  * New upstream version 20240529

 -- Dennis Braun <snd@debian.org>  Fri, 14 Jun 2024 17:38:56 +0200

schism (2:20240503-1) unstable; urgency=medium

  * New upstream version 20240503

 -- Dennis Braun <snd@debian.org>  Wed, 08 May 2024 20:07:36 +0200

schism (2:20240426-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Tue, 30 Apr 2024 05:56:33 +0200

schism (2:20240409-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 20240409

  [ Denys Nykula ]
  * Add libflac-dev B-D

 -- Dennis Braun <snd@debian.org>  Thu, 18 Apr 2024 18:46:19 +0200

schism (2:20240328-1) unstable; urgency=medium

  * New uptream version.

 -- Gürkan Myczko <tar@debian.org>  Sat, 30 Mar 2024 15:46:00 +0100

schism (2:20240308-1) unstable; urgency=medium

  * New upstream version 20240308
  * Use the default ci config from salsa

 -- Dennis Braun <snd@debian.org>  Mon, 11 Mar 2024 22:18:45 +0100

## schism 20240630

=== debian/changelog ===
schism (2:20240630-1) unstable; urgency=medium

  * New upstream version 20240630

 -- Dennis Braun <snd@debian.org>  Sat, 20 Jul 2024 21:40:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Gürkan Myczko <tar@debian.org>,
+ Alex Myczko <tar@debian.org>,
  Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev,
+ libflac-dev,
  libsdl2-dev,
  libxext-dev,
  python3:native,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
 Homepage: https://schismtracker.org/

## schism 20240809

=== debian/changelog ===
schism (2:20240809-1) unstable; urgency=medium

  * New upstream version 20240809
  * Drop use of PATH_MAX on non Windows platforms (Closes: #1076285)
    Thanks to Petter Reinholdtsen for the patch

 -- Dennis Braun <snd@debian.org>  Sat, 17 Aug 2024 14:32:40 +0200

## schism 20240909

=== debian/changelog ===
schism (2:20240909-1) unstable; urgency=medium

  * New upstream version 20240909
  * Add libutf8proc-dev to B-Ds

 -- Dennis Braun <snd@debian.org>  Fri, 13 Sep 2024 20:55:37 +0200

## schism 20241021

=== debian/changelog ===
schism (2:20241021-1) unstable; urgency=medium

  * New upstream version 20241021
  * Drop PATH_MAX applied by upstream

 -- Dennis Braun <snd@debian.org>  Sun, 10 Nov 2024 19:18:00 +0100

## schism 20241226

=== debian/changelog ===
schism (2:20241226-1) unstable; urgency=medium

  * New upstream version 20241226

 -- Dennis Braun <snd@debian.org>  Tue, 31 Dec 2024 15:18:25 +0100

## schism 20250208

=== debian/changelog ===
schism (2:20250208-1) unstable; urgency=medium

  * New upstream version 20250208
  * Add myself to d/copyright holders

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 12:07:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  libasound2-dev,
  libflac-dev,
+ libutf8proc-dev,
  libsdl2-dev,
  libxext-dev,
  python3:native,

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #! /usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with=autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean

## schism 20250307

=== debian/changelog ===
schism (2:20250307-1) unstable; urgency=medium

  * New upstream version 20250307
  * Remove obsolete lintian-overrides

 -- Dennis Braun <snd@debian.org>  Tue, 11 Mar 2025 17:06:39 +0100

## schism 20250313

=== debian/changelog ===
schism (2:20250313-2) unstable; urgency=medium

  * Make the build reproducible, thanks to Chris Lamb (Closes: #1103797)
  * Bump Standards-Version to 4.7.2

 -- Dennis Braun <snd@debian.org>  Fri, 25 Apr 2025 23:56:37 +0200

schism (2:20250313-1) unstable; urgency=medium

  * New upstream version 20250313

 -- Dennis Braun <snd@debian.org>  Mon, 17 Mar 2025 22:53:55 +0100

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/schismtracker/schismtracker/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## schism 20250825

=== debian/changelog ===
schism (2:20250825-1) unstable; urgency=medium

  * New upstream version 20250825
  * Refresh reproducible patch

 -- Dennis Braun <snd@debian.org>  Fri, 29 Aug 2025 20:10:21 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl2-dev,
  libxext-dev,
  python3:native,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
 Homepage: https://schismtracker.org/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #! /usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND = -DSOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH)
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## schism 20251014

=== debian/changelog ===
schism (2:20251014-1) unstable; urgency=medium

  * New upstream version 20251014
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Sun, 09 Nov 2025 22:53:37 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Vcs-Git: https://salsa.debian.org/multimedia-team/schism.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/schism
 Homepage: https://schismtracker.org/
-Rules-Requires-Root: no
 
 Package: schism
 Architecture: any
